export declare function parseIndicatorOptions(args: any[]): Partial<IndicatorOptions>;
export declare class Core {
    private context;
    color: {
        param: (source: any, index?: number) => any;
        rgb: (r: number, g: number, b: number, a?: number) => string;
        new: (color: string, a?: number) => string;
        white: string;
        lime: string;
        green: string;
        red: string;
        maroon: string;
        black: string;
        gray: string;
        blue: string;
        yellow: string;
        orange: string;
        purple: string;
        pink: string;
        brown: string;
        teal: string;
        cyan: string;
        navy: string;
        indigo: string;
        violet: string;
        magenta: string;
        rose: string;
        gold: string;
        silver: string;
        bronze: string;
    };
    constructor(context: any);
    private extractPlotOptions;
    indicator(...args: any[]): any;
    get bar_index(): any;
    na(series: any): boolean;
    nz(series: any, replacement?: number): any;
    fixnan(series: any): any;
    alertcondition(condition: any, title: any, message: any): void;
    bool(series: any): boolean;
    int(series: any): number;
    float(series: any): number;
    string(series: any): any;
}
